IF EXISTS(SELECT * FROM SYS.tables WHERE [NAME]='HRAPOR')
BEGIN
	   IF EXISTS (SELECT * FROM sys.indexes WHERE object_id = OBJECT_ID(N'[dbo].[HRAPOR]') AND name = N'IX_HRAPOR_SUBEID_HMUAYENEID' AND is_unique = 0) 
	   BEGIN
		  CREATE NONCLUSTERED INDEX [IX_HRAPOR_SUBEID_HMUAYENEID]
		  ON [dbo].[HRAPOR] ([SUBEID],[HMUAYENEID]) 
		  WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = ON, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
	   END
	   ELSE
	   BEGIN
		  CREATE NONCLUSTERED INDEX [IX_HRAPOR_SUBEID_HMUAYENEID]
		  ON [dbo].[HRAPOR] ([SUBEID],[HMUAYENEID]) 
		  WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY] 
	   END
END